# Attendance

Defaults and behaviour of the **Attendance** tool.

Access these settings under **Administration > Configuration settings > Attendance**. This category contains **4 settings**, listed below with the title and comment shipped in the platform's settings fixtures (`SettingsCurrentFixtures.php`).

> The variable name in code is shown in monospace. Use it when scripting via the API or when you need to change those settings at a global level by editing [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml).

## Settings

### `allow_delete_attendance`

**Attendances: enable deletion**

The default behaviour in Chamilo is to hide attendance sheets instead of deleting them, just in case the teacher would do it by mistake. Enable this option to allow teachers to *really* delete attendance sheets.

*Default: `true`*

### `attendance_allow_comments`

**Allow comments in attendance sheets**

Teachers and students can comment on each individual attendance (to justify).

*Default: `false`*

### `enable_sign_attendance_sheet`

**Attendance signing**

Enable taking signatures to confirm one's attendance.

*Default: `false`*

### `multilevel_grading`

**Enable Multi-Level Attendance Grading**

Allows grading attendance with multiple levels instead of a simple present/absent system.

*Default: `false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/administration-guide/admin-guide/platform-settings/attendance-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
